<?php

	include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
	include $_SERVER['DOCUMENT_ROOT'].ADMIN_PATH.'common/auth_chk.php';

	$list_url = $_REQUEST["list_url"];
	$ListPageNo = $_REQUEST["ListPageNo"];
	$ds_status_sale = $_REQUEST["ds_status_sale"];
	$ds_status_contract_sale = $_REQUEST["ds_status_contract_sale"];
	$ds_status_contract_step1_sale = $_REQUEST["ds_status_contract_step1_sale"];
//	$ds_status_contract_sale = "";
//	$ds_status_contract_step1_sale = "";

	//판매 view 페이지 보여줄 내용 선택 변수 셋팅
	//bViewCar		: 차 내용
	//bViewSuccess	: 낙찰 내용
	//bViewTender	: 입찰업체 내용

	switch($ds_status_sale) {
		//$ds_status - "A0" : "입력중", "B0" : "입력완료", "C0" : "승인대기", "D0" : "반려", "E0" : "승인", "F0" : "입찰중", "G0" : "입찰마감", "Z0" : "낙찰"
		//입찰대기	: "A0" : "입력중", "B0" : "입력완료", "C0" : "승인대기", "D0" : "반려"
		case "A0":
		case "B0":
		case "C0":
		case "D0":
			
			$STitle			= "입찰대기 리스트";		//: 페이지 제목
			$bViewCar		= true;		//: 차 내용
			$bViewSuccess	= false;	//: 낙찰 내용
			$bViewTender		= false;	//: 입찰업체 내용
			$bViewBtn		= true;	//: 버튼&실행 내용
			$bViewContract		= false;	//: 계약 내용

		break;
		
		//입찰중	: "E0" : "승인", "F0" : "입찰중", "G0" : "입찰마감"
		case "E0":
		case "F0":
		case "G0":
			
			$STitle			= "입찰중 리스트";		//: 페이지 제목
			$bViewCar		= true;		//: 차 내용
			$bViewSuccess	= false;	//: 낙찰 내용
			$bViewTender		= true;	//: 입찰업체 내용
			$bViewBtn		= false;	//: 버튼&실행 내용
			$bViewContract		= false;	//: 계약 내용

		break;
		
		//입찰완료	: "Z0" : "낙찰"
		case "Z0":
			
			if($ds_status_contract_sale == "Z0"){
				//거래마감	: "Z0" : "거래마감"
				$STitle			= "거래중 리스트";		//: 페이지 제목
				$bViewCar		= false;		//: 차 내용
				$bViewSuccess	= false;	//: 낙찰 내용
				$bViewTender		= false;	//: 입찰업체 내용
				$bViewBtn		= false;	//: 버튼&실행 내용
				$bViewContract		= true;	//: 계약 내용
			}else if($ds_status_contract_sale == "B0"){
				//거래연기	: "B0" : "거래연기"
				$STitle			= "거래연기 리스트";		//: 페이지 제목
				$bViewCar		= false;		//: 차 내용
				$bViewSuccess	= false;	//: 낙찰 내용
				$bViewTender		= false;	//: 입찰업체 내용
				$bViewBtn		= false;	//: 버튼&실행 내용
				$bViewContract		= true;	//: 계약 내용
			}else if($ds_status_contract_sale == "C0"){
				//거래실패	: "C0" : "거래실패"
				$STitle			= "거래실패 리스트";		//: 페이지 제목
				$bViewCar		= false;		//: 차 내용
				$bViewSuccess	= false;	//: 낙찰 내용
				$bViewTender		= false;	//: 입찰업체 내용
				$bViewBtn		= false;	//: 버튼&실행 내용
				$bViewContract		= true;	//: 계약 내용
			}else if($ds_status_contract_step1_sale == "Y"){
				//거래중	: ds_status_contract_step1 == "Y" : "거래중"
				$STitle			= "거래중 리스트";		//: 페이지 제목
				$bViewCar		= false;		//: 차 내용
				$bViewSuccess	= false;	//: 낙찰 내용
				$bViewTender		= false;	//: 입찰업체 내용
				$bViewBtn		= false;	//: 버튼&실행 내용
				$bViewContract		= true;	//: 계약 내용
			}else{
				$STitle			= "입찰완료 리스트";		//: 페이지 제목
				$bViewCar		= true;		//: 차 내용
				$bViewSuccess	= true;	//: 낙찰 내용
				$bViewTender		= true;	//: 입찰업체 내용
				$bViewBtn		= false;	//: 버튼&실행 내용
				$bViewContract		= false;	//: 계약 내용
			}

		break;
		
		//견적실수	: "ZE" : "견적실수"
		case "ZE":
			
			$STitle			= "견적실수 리스트";		//: 페이지 제목
			$bViewCar		= true;		//: 차 내용
			$bViewSuccess	= true;	//: 낙찰 내용
			$bViewTender		= true;	//: 입찰업체 내용
			$bViewBtn		= false;	//: 버튼&실행 내용
			$bViewContract		= false;	//: 계약 내용

		break;
		
		//거래마감	: "ZS" : "거래마감"
		case "_ZS":
			
			$STitle			= "거래마감 리스트";		//: 페이지 제목
			$bViewCar		= false;		//: 차 내용
			$bViewSuccess	= false;	//: 낙찰 내용
			$bViewTender		= false;	//: 입찰업체 내용
			$bViewBtn		= false;	//: 버튼&실행 내용
			$bViewContract		= true;	//: 계약 내용

		break;
		
		default :
//			AlertBack("지정되지않은 요청입니다");
			$STitle			= "완료 리스트";		//: 페이지 제목
			$bViewCar		= false;		//: 차 내용
			$bViewSuccess	= true;	//: 낙찰 내용
			$bViewTender		= true;	//: 입찰업체 내용
			$bViewBtn		= false;	//: 버튼&실행 내용
			$bViewContract		= true;	//: 계약 내용
		
		break;
	}

?>
<? include("../inc/inc_top.php") ?>
<? include("../inc/inc_header.php") ?>

<section id="contents">
	<h2><?= $STitle ?></h2>

<?

	if($bViewCar){
		include("./inc_ViewCar.php");
	}

	if($bViewSuccess){
		include("./inc_ViewSuccess.php");
	}

	if($bViewContract){
		include("./inc_ViewContract.php");
	}

	if($bViewTender){
		include("./inc_ViewTender.php");
	}

	if($bViewBtn){
		include("./inc_ViewBtn.php");
	}

?>

</section>

<? include("../inc/inc_footer.php") ?>
<? include("../inc/inc_bottom.php") ?>
<?
mysql_close($connect);
?>
